Support » Plugin: Constant Contact for WordPress » Constant Contact Plugin Error in newly released v2.3

  • I just updated my Constant Contact plugin to the latest version (released today) hoping it would fix the error I was having where I could not change my Constant Contact account info. Unfortunately, the updated version does not work.

    Here’s the error:
    Warning: Invalid argument supplied for foreach() in /home/content/99/6955199/html/xxx/wp-content/plugins/constant-contact-api/functions.php on line 844

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Zack Katz

    (@katzwebdesign)

    Yeah, I’m sorry for that. There was a window of about 10 minutes where the plugin upload was broken.

    If you delete and re-install, it will work. I apologize for the issue.

    Plugin Author Zack Katz

    (@katzwebdesign)

    Or, if that’s not the case, please try installing 2.3.1 from here: http://downloads.wordpress.org/plugin/constant-contact-api.2.3.1.zip

    It’ll be available in about 10 minutes.

    I’ve downloaded and installed from the zip file you indicated. The updated code causes different errors.

    On the Dashboard under the listing of Constant Contact Events, I’m receiving the error:
    Warning: Invalid argument supplied for foreach() in /home/content/99/6955199/html/xxx/wp-content/plugins/constant-contact-api/admin/events.php on line 65

    Using the widget for events, I’m not seeing an error. However, I’m not seeing any active events either although I have 3 Published-Open events in CC.

    Thanks,

    Plugin Author Zack Katz

    (@katzwebdesign)

    I don’t know what’s causing it and I’ll try to fix it in the next version, but for now, I’d recommend turning off PHP warnings. On production sites, it’s best practice to turn off warnings and notices; they’re not true errors, just “unexpected happenings.”

    I don’t really care about the Dashboard issue. The other issue — the event widget does not work — makes the plugin completely non-functional…in terms of integration with CC events. Is that something you can fix soon?

    Plugin Author Zack Katz

    (@katzwebdesign)

    Let me know if the new 2.3.1 (just released) fixes these issues. I forgot to name it 2.3.2, sorry…Please delete and reinstall.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Constant Contact Plugin Error in newly released v2.3’ is closed to new replies.